/* Elemente, die Clearfix benoetigen */
.clearfix,
.tx-messe .keyvaluerow,
.tx-messe .informationbox,
.tx-messe .box-footer,
.tx-messe .modern-check,
.tx-messe .image-grid,
.tx-messe .table-row,
.tx-messe .accordion-header,
.tx-messe .sidebarview {
    clear: both;
}

.clearfix::after,
.tx-messe .keyvaluerow::after,
.tx-messe .informationbox::after,
.tx-messe .box-footer::after,
.tx-messe .modern-check::after,
.tx-messe .image-grid::after,
.tx-messe .table-row::after,
.tx-messe .accordion-header::after,
.tx-messe .sidebarview::after {
    clear: both;
    content: "";
    display: table;
}


/* ALLGEMEIN */
.tx-messe {
    width: 100%;
    margin-bottom: 1.5em;
}

.tx-messe .left {
    float: left !important;
}

.tx-messe .only-print {
    display: none;
}

.tx-messe .caption {
    font-size: 130%;
    font-weight: bold;
    margin-bottom: 0.5em;
    display: inline-block;
}

.tx-messe .keyvaluerow {
    margin-bottom: 1em;
}

.tx-messe .keyvaluerow.keyvaluerow-half {
    max-width: 45em;
}

.tx-messe .keyvaluerow .key {
    font-weight: bold;
    width: 20%;
    height: auto;
    display: block;
    float: left;
    word-wrap: break-word;
}

.tx-messe .keyvaluerow .key + .value {
    float: right;
    width: 77%;
}


.tx-messe .keyvaluerow .value .ticket-bezahlt {
    color: #32cd32;
}
.tx-messe .keyvaluerow .value .ticket-zahlungoffen {
    color: #ff0000;
}


@media only screen and (max-width: 50em) {
    .tx-messe .keyvaluerow .key {
        width: 100%;
    }

    .tx-messe .keyvaluerow .key + .value {
        width: 100%;
        margin-bottom: 0.5em;
    }
}

.tx-messe .hidden {
    display: none !important;
}

.tx-messe input[type=email],
.tx-messe input[type=input],
.tx-messe input[type=password],
.tx-messe input[type=text],
.tx-messe input[type=file],
.tx-messe select,
.tx-messe textarea {
    width: 100%;
    display: block;
    padding: 0.4rem;
    box-sizing: border-box;
}

.tx-messe .hover-color {
    -webkit-filter: grayscale(1);
    -webkit-filter: grayscale(100%);
    filter: gray;
    filter: grayscale(100%);
}

.tx-messe .hover-color:hover {
    -webkit-filter: none;
    filter: none;
}

.tx-messe .aktiv {
    color: #7dc310;
}

.tx-messe .inaktiv {
    color: #ff0000;
}

.tx-messe .video-container {
    display: block;
    position: relative;
    line-height: 0;
    margin-bottom: 3em;
    padding-bottom: 56.25%;
    height: 0;
    overflow: hidden;
}

.tx-messe .video-thumbnail {
    object-fit: cover;
    width: 100%;
    height: 100%;
    position: absolute;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
}

.tx-messe .video-overlay {
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
}

/* Kleine optische Anpassungen */
.tx-messe select {
    padding: 0.525rem 0.5rem;
}
.tx-messe input[type=file] {
    line-height: 100%;
}

.tx-messe textarea {
    resize: vertical;
    height: 5.5em;
}

.tx-messe .box-footer {
    clear: both;
    background-color: #d3d1d2;
}

.tx-messe .box-footer > * {
    float: right;
    margin-left: 0.5em;
}

.tx-messe .box-footer button,
.tx-messe .box-footer input[type=submit],
.tx-messe .box-footer .button-like {
    margin-bottom: 0;
    margin-top: 0;
}

.tx-messe iframe {
    width: 100%;
    margin: 3em 0;
}


/* INFO I */
.tx-messe .info-i {
    background-image: url(/static-messe/Icons/Info-Button.png);
    background-image: url(/static-messe/Icons/Info-Button.svg);
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center center;
    display: inline-block;
    height: 1.25em;
    width: 1.25em;
    float: right;
    margin-top: 0.15em;
    position: relative;
}

.tx-messe .info-i h2 {
    font-size: 110%;
    margin-top: 1.25em;
    margin-bottom: 0.5em;
}

.tx-messe .info-i h2:first-child {
    margin-top: 0;
}

.tx-messe .info-i p {
    font-weight: normal;
    font-size: 100%;
    line-height: 125%;
    margin-bottom: 0.5em;
}

.tx-messe .info-i p:last-child {
    margin-bottom: 0;
}

.tx-messe .info-i-container {
    display: none;
    position: absolute;
    background-color: #666666;
    z-index: 100;
    color: #ffffff;
    padding: 1em;
    margin-left: 1.25em;
    width: 20em;
}

.tx-messe .info-i-container.info-i-container-left {
    right: 0;
    margin-left: 0;
    margin-right: 1.5em;
}

.tx-messe .info-i:focus .info-i-container,
.tx-messe .info-i:hover .info-i-container {
    display: block;
}


/* UEBERSCHRIFTEN */
.tx-messe h1,
.tx-messe h2,
.tx-messe h3,
.tx-messe h4,
.tx-messe h5 {
    margin-top: 2rem;
}

.tx-messe h1,
.tx-messe h3 {
    color: #000000;
}


/* BUTTONS */
.tx-messe button,
.tx-messe input[type=submit],
.tx-messe .button-like,
.tx-messe .button-radio + label {
    padding: 0.6rem 1rem;
    cursor: pointer;
    display: inline-block;
    white-space: normal;
}

.tx-messe button,
.tx-messe input[type=submit],
.tx-messe .button-like {
    background-color: #666666;
    color: #FFFFFF;
    transition: box-shadow 0.1s;
    font-weight: normal;
    border: none;
}

.tx-messe .button-radio + label {
    background-color: #ffffff;
    border: 0.125em solid #666666;
    color: #666666;
    display: inline-block;
    margin-top: 0.25em;
    margin-bottom: 0.25em;
    margin-right: 0.25em;
    font-weight: bold;
}

.tx-messe .button-radio:checked + label {
    background-color: #666666;
    color: #FFFFFF;
}

.tx-messe .button-like a {
    color: #FFFFFF;
}

.tx-messe input[type=submit],
.tx-messe .submit-like {
    margin-top: 0.5em;
}

.tx-messe button:active:focus,
.tx-messe input[type=submit]:focus,
.tx-messe button:hover,
.tx-messe input[type=submit]:hover,
.tx-messe .button-like:hover {
    box-shadow: 0 0 0.5em 0.1em rgba(0,0,0,0.25);
    outline: 0;
}

.tx-messe button:active,
.tx-messe input[type=submit]:active,
.tx-messe .button-like:active {
    box-shadow: 0 0 0.5em 0 rgba(0,0,0,0.25)
}

/* Button - Radio */
.tx-messe .button-radio {
    display: none;
}


/* Bilder */
.tx-messe .image-inline {
    height: 6em;
    width: auto;
}


/* CHECKBOXEN */
@-webkit-keyframes check {
    0% {
        height: 0;
        width: 0;
    }
    60% {
        height: 0;
        width: 0.3em;
    }
    100% {
        height: 0.65em;
        width: 0.3em;
    }
}
@-moz-keyframes check {
    0% {
        height: 0;
        width: 0;
    }
    60% {
        height: 0;
        width: 0.3em;
    }
    100% {
        height: 0.65em;
        width: 0.3em;
    }
}
@-ms-keyframes check {
    0% {
        height: 0;
        width: 0;
    }
    60% {
        height: 0;
        width: 0.3em;
    }
    100% {
        height: 0.65em;
        width: 0.3em;
    }
}
@keyframes check {
    0% {
        height: 0;
        width: 0;
    }
    60% {
        height: 0;
        width: 0.3em;
    }
    100% {
        height: 0.65em;
        width: 0.3em;
    }
}

.tx-messe .modern-check {
    position: relative;
    margin: 0.5em;
    line-height: 1.5em;
}

.tx-messe .modern-check input[type=checkbox] {
    outline: none;
    float: left;
    width: 1.5em;
}

.tx-messe .modern-check input[type=checkbox] + label{
    cursor: pointer;
    display: inline-block;
    float: right;
    width: calc(100% - 2.5em);
}

.tx-messe .modern-check input[type=checkbox] + label:before {
    -moz-transform: scaleX(-1) rotate(135deg);
    -ms-transform: scaleX(-1) rotate(135deg);
    -webkit-transform: scaleX(-1) rotate(135deg);
    transform: scaleX(-1) rotate(135deg);
    -moz-transform-origin: left top;
    -ms-transform-origin: left top;
    -webkit-transform-origin: left top;
    transform-origin: left top;
    border-right: 0.15em solid transparent;
    border-top: 0.15em solid transparent;
    content: '';
    display: block;
    height: 0.65em;
    width: 0.3em;
    position: absolute;
    left: 0.25em;
    top: 0.75em;
    z-index: 1;
}

.tx-messe .modern-check input[type=checkbox] + label:after {
    content: '';
    display: block;
    height: 1.3em;
    position: absolute;
    width: 1.3em;
    top: 0;
    left: 0;
    cursor: pointer;
    background-color: #E6E6E6;
    border: 1px solid #afafaf;
}

.tx-messe .modern-check input[type=checkbox]:focus + label:after {
    border: 1px solid #82827F;
    outline: 0;
    -webkit-box-shadow: inset 0 1px 1px rgba(0,0,0,.075), 0 0 8px rgba(130, 130, 127, 0.6);
    box-shadow: inset 0 1px 1px rgba(0,0,0,.075), 0 0 8px rgba(130, 130, 127, 0.6);
}

.tx-messe .modern-check input[type=checkbox] + label:hover:before {
    border-color: #bedbca;
}

.tx-messe .modern-check input[type=checkbox]:checked + label:before {
    -webkit-animation: check 0.4s;
    -moz-animation: check 0.4s;
    -o-animation: check 0.4s;
    animation: check 0.4s;
    border-color: #438B1D;
}


/* ACCORDION */
.tx-messe .accordion ~ .accordion {
    margin-top: 0.75em;
}

.tx-messe .accordion.element-accordion {
    margin-bottom: 2.5em;
}

.tx-messe .accordion input.accordion-state {
    height: 0;
    display: block;

    /* Firefox-FIX */
    position: absolute;
    opacity: 0;
}

.tx-messe .accordion .accordion-header,
.tx-messe .accordion .accordion-footer {
    background-color: #E6E6E6;
}

.tx-messe .accordion .accordion-header {
    padding: 1em;
    display: block;
    cursor: pointer;
    position: relative;
}

.tx-messe .accordion .accordion-header .modern-check {
    margin: 0 0.5em 0 0;
    height: 1.0em;
    width: 1.5rem;
    display: inline-block;
}

.tx-messe .accordion input.accordion-state:focus + .accordion-header,
.tx-messe .accordion .accordion-header:hover {
    background-color: #D2D2D2;
}

.tx-messe .accordion .accordion-header::before {
    content: url('/static-messe/Icons/dropdown-arrow-open-black.png');
    position: absolute;
    right: 1em;
    top: 1em;
}

.tx-messe .accordion .accordion-state:checked + .accordion-header::before {
    content: url('/static-messe/Icons/dropdown-arrow-close-black.png');
    float: right;
}

.tx-messe .accordion .accordion-content {
    display: none;
}

.tx-messe .accordion input.accordion-state:checked ~ .accordion-content {
    display: block;
}

.tx-messe .accordion .accordion-content-box,
.tx-messe .accordion .accordion-footer {
    margin-top: 0.25em;
}

.tx-messe .accordion .accordion-content-box {
    background-color: #F3F3F3;
    margin-bottom: 0;
    padding: 1em 1.5em;
}


/* FEHLERMELDUNGEN */
.tx-messe ul.error-list {
    margin-bottom: 2em;
}

.tx-messe .error,
.tx-messe .warning,
.tx-messe .information,
.tx-messe .success,
.tx-messe ul.error-list li,
.tx-messe .alert {
    display: block;
    padding: 0.5em 0.5em 0.5em 3em;
    margin-bottom: 0.5em;
    position: relative;
    line-height: 1.5em;
}

.tx-messe .error,
.tx-messe ul.error-list li,
.tx-messe .alert-danger,
.tx-messe .alert-error {
    background-color: #F6D3CF;
    border: 1px solid #D66C68;
    color: #AA0225;
}

.tx-messe .warning,
.tx-messe .alert-warning {
    background-color: #f9f3db;
    border: 1px solid #e4cd70;
    color: #b28f00;
}

.tx-messe .information,
.tx-messe .alert-info,
.tx-messe .alert-notice {
    background-color: #DFEBF5;
    border: 1px solid #69AED6;
    color: #1BA1E2;
}

.tx-messe .success,
.tx-messe .alert-success {
    background-color: #E1F4E1;
    border: 1px solid #468C48;
    color: #339933;
}

.tx-messe ul.error-list .error-title {
    font-weight: bold;
}

.tx-messe .error::before,
.tx-messe .warning::before,
.tx-messe .information::before,
.tx-messe .success::before,
.tx-messe ul.error-list .error-title::before,
.tx-messe .alert::before {
    content: '';
    height: 1em;
    width: 1em;
    position: absolute;
    top: 0.75em;
    left: 0.75em;
}

.tx-messe .error::before,
.tx-messe ul.error-list .error-title::before,
.tx-messe .alert-error::before,
.tx-messe .alert-danger::before {
    background-image: url("/static-messe/Icons/StatusInvalid.svg");
}

.tx-messe .warning::before,
.tx-messe .alert-warning::before {
    background-image: url("/static-messe/Icons/StatusWarning.svg");
}

.tx-messe .information::before,
.tx-messe .alert-info::before,
.tx-messe .alert-notice::before {
    background-image: url("/static-messe/Icons/StatusInformation.svg");
}

.tx-messe .success::before,
.tx-messe .alert-success::before {
    background-image: url("/static-messe/Icons/StatusOK.svg");
}

.tx-messe input.f3-form-error,
.tx-messe textarea.f3-form-error {
    background-color: #F6D3CF;
    border: 1px solid #D66C68;
}


/* PREISBOXEN */
.tx-messe .pricebox {
    background-color: #666666;
    padding: 1em;
    margin: 1em 0;
    max-width: 40em;
}

.tx-messe .pricebox .titel,
.tx-messe .pricebox .beschreibung {
    float: left;
    width: 69%;
}

.tx-messe .pricebox .preis {
    float: right;
    width: 29%;
    font-weight: bold;
    text-align: end;
}

.tx-messe .pricebox .titel {
    color: #ffffff;
    font-size: 120%;
    font-weight: bold;
}

.tx-messe .pricebox .beschreibung {
    margin-top: 0.5em;
}


/* INFORMATIONS-BOXEN */
.tx-messe .informationbox {
    margin: 1.5em 0;
    width: 100%;
    background-color: #E6E6E6;
}

.tx-messe .informationbox.spaced-rows {
    background-color: transparent;
}

.tx-messe .informationbox .caption {
    margin-top: 1em;
}

.tx-messe .informationbox .caption-aside {
    height: 2.5em;
    width: auto;
    float: right;
    margin-top: 0.5em;
}

.tx-messe .informationbox .caption-aside + * * {
    display: block;
}

.tx-messe .informationbox .keyvaluerow {
    background-color: #E6E6E6;
    padding: 0.5em 1em;
    margin-bottom: 0;
}

.tx-messe .informationbox .informationbox-sidebar {
    float: left;
    width: 18%;
    margin: 0.25em;
    box-sizing: border-box;
}

.tx-messe .informationbox .informationbox-sidebar > *:not(:last-child) {
    margin-bottom: 0.25em;
}

.tx-messe .informationbox .informationbox-sidebar img {
    width: 100%;
    height: auto;
    display: block;
    background-color: #FFFFFF;
}

.tx-messe .informationbox .informationbox-sidebar + .informationbox-content {
    float: right;
    width: 75%;
    margin-right: 0.5em;
}

.tx-messe .informationbox .informationbox-sidebar + .informationbox-content .keyvaluerow {
    padding: 0.5em 1em 0.5em 0;
}

.tx-messe .informationbox .modern-check {
    margin: 0 0.5em 0 0;
}

.tx-messe .spaced-rows .keyvaluerow {
    margin-bottom: 0.25em;
}

@media only screen and (max-width: 50em) {
    .tx-messe .informationbox .informationbox-sidebar {
        width: 100%;
        margin: 0;
        padding: 1em;
    }

    .tx-messe .informationbox .informationbox-sidebar img {
        max-width: 8em;
        height: auto;
        display: block;
        background-color: #FFFFFF;
        margin: 0 auto;
    }

    .tx-messe .informationbox .informationbox-sidebar + .informationbox-content {
        width: 100%;
        padding: 0 1em;
        box-sizing: border-box;
        float: none;
    }
}

.tx-messe .keyvaluerow .value > ul {
    padding-left: 1.0em;
}

/* Informationsboxen: Spezielle Ansicht in der Sidebar */
.tx-messe .informationbox-light {
    padding: 1em;
    border: 2px solid #000000;
    background-color: #ffffff;
    box-sizing: border-box;
}

.tx-messe .informationbox-light .keyvaluerow {
    background-color: #ffffff;
    padding: 0.5em 0;
    margin-bottom: 0;
}

.tx-messe .informationbox-light .keyvaluerow .key,
.tx-messe .informationbox-light .keyvaluerow .value {
    width: 100%;
}

.tx-messe .informationbox-light h1,
.tx-messe .informationbox-light h2,
.tx-messe .informationbox-light h3,
.tx-messe .informationbox-light h4,
.tx-messe .informationbox-light h5,
.tx-messe .informationbox-light h6 {
    margin-top: 0;
}

.tx-messe .sidebar-spacer {
    margin-bottom: 3em;
}

.tx-messe .sidebarview img {
    max-width: 100%;
    height: auto;
    margin: auto;
}

.tx-messe .sidebarview.sidebarview-right > *:nth-child(2) .image-inline,
.tx-messe .sidebarview.sidebarview-left > *:nth-child(1) .image-inline {
    height: 4em;
}

/* BEARBEITUNGS-BOXEN */
.tx-messe .editingbox .keyvaluerow {
    margin-bottom: 0.5em;
    display: flex;
    align-items: stretch;
}

.tx-messe .editingbox .keyvaluerow .key {
    background-color: #D2D2D2;
    padding: 0.5rem 0.75rem;
    box-sizing: border-box;
    width: 15em;
}

.tx-messe .editingbox .keyvaluerow .key .info-i {
    margin-top: 0;
}

.tx-messe .editingbox .keyvaluerow .value {
    border-width: 2px;
    border-color: #D2D2D2;
    border-style: solid;
    box-sizing: border-box;
    background-color: #FFFFFF;
    align-self: flex-start;
    width: calc(100% - 15em);
}

.tx-messe .editingbox .keyvaluerow .value > span {
    margin: 0.5em;
    display: block;
}

.tx-messe .editingbox .keyvaluerow .value > span.bearbeitungverboten {
    opacity: 0.50;
}

.tx-messe .editingbox .keyvaluerow .value > input,
.tx-messe .editingbox .keyvaluerow .value > select,
.tx-messe .editingbox .keyvaluerow .value > textarea {
    border: none;
    padding: 0.5em;
}

.tx-messe .editingbox .keyvaluerow .value input[type=file] + img {
    margin-top: 0.5em;
    margin-left: 0.25em;
}

.tx-messe .editingbox .keyvaluerow .error,
.tx-messe .editingbox .keyvaluerow .warning,
.tx-messe .editingbox .keyvaluerow .information {
    margin: 0.5em;
}

.tx-messe .box.back {
    margin-top: 1rem;
}

.content_sidebar .tx-messe .editingbox .keyvaluerow {
    flex-direction: column;
}

.content_sidebar .tx-messe .editingbox .keyvaluerow .key,
.content_sidebar .tx-messe .editingbox .keyvaluerow .value {
    width: 100%;
}

.content_sidebar .tx-messe .editingbox .keyvaluerow .value {
    border-width: 0 2px 2px 2px;
}

@media only screen and (max-width: 50em) {
    .tx-messe .editingbox .keyvaluerow {
        flex-direction: column;
    }

    .tx-messe .editingbox .keyvaluerow .key,
    .tx-messe .editingbox .keyvaluerow .value {
        width: 100%;
    }

    .tx-messe .editingbox .keyvaluerow .value {
        border-width: 0 2px 2px 2px;
    }
}


/* RESPONSIVE GRID */
.tx-messe .image-grid .cell {
    float: left;
    margin: 2% 0;
}

.tx-messe .image-grid .cell * {
    width: 100%;
    height: auto;
    display: block;
}

.tx-messe .image-grid a {
    padding: 0.5em;
    transition: box-shadow 0.2s;
    box-sizing: border-box;
}

.tx-messe .image-grid a:hover {
    box-shadow: 0 0 0.5em 0.1em rgba(0,0,0,0.25);
    color: inherit;
}

.tx-messe .image-grid img {
    margin-bottom: 1em;
}

.tx-messe .image-grid .cell:nth-child(n) {
    width: 16%;
    margin-right: 5%;
}
.tx-messe .image-grid .cell:nth-child(5n) {
    margin-right: 0;
}
.tx-messe .image-grid .cell:nth-child(5n+1) {
    clear: left;
}

@media only screen and (max-width: 70em) {
    .tx-messe .image-grid .cell:nth-child(n) {
        width: 20.5%;
        margin-right: 6%;
        clear: none;
    }
    .tx-messe .image-grid .cell:nth-child(4n) {
        margin-right: 0;
    }
    .tx-messe .image-grid .cell:nth-child(4n+1) {
        clear: left;
    }
}

@media only screen and (max-width: 50em) {
    .tx-messe .image-grid .cell:nth-child(n) {
        width: 28%;
        margin-right: 8%;
        clear: none;
    }
    .tx-messe .image-grid .cell:nth-child(3n) {
        margin-right: 0;
    }
    .tx-messe .image-grid .cell:nth-child(3n+1) {
        clear: left;
    }
}

@media only screen and (max-width: 35em) {
    .tx-messe .image-grid .cell:nth-child(n) {
        width: 45%;
        margin-right: 10%;
        clear: none;
    }
    .tx-messe .image-grid .cell:nth-child(2n) {
        margin-right: 0;
    }
    .tx-messe .image-grid .cell:nth-child(2n+1) {
        clear: left;
    }
}

@media only screen and (max-width: 25em) {
    .tx-messe .image-grid .cell:nth-child(n) {
        width: 100%;
        margin-right: 0;
    }
}


/* SIDEBAR-VIEW */
.tx-messe .sidebarview > * {
    float: left;
}

.tx-messe .sidebarview > *:nth-child(1) {
    margin-right: 5%;
}

.tx-messe .sidebarview.sidebarview-right > *:nth-child(1),
.tx-messe .sidebarview.sidebarview-left > *:nth-child(2) {
    width: 65%;
}

.tx-messe .sidebarview.sidebarview-right > *:nth-child(2),
.tx-messe .sidebarview.sidebarview-left > *:nth-child(1) {
    width: 30%;
}

@media only screen and (max-width: 60em) {
    .tx-messe .sidebarview > *:nth-child(1) {
        margin-right: 0;
    }

    .tx-messe .sidebarview.sidebarview-right > *:nth-child(1),
    .tx-messe .sidebarview.sidebarview-left > *:nth-child(2) {
        width: 100%;
    }

    .tx-messe .sidebarview.sidebarview-right > *:nth-child(2),
    .tx-messe .sidebarview.sidebarview-left > *:nth-child(1) {
        width: 100%;
        margin-top: 2em;
    }
}


/* TABELLEN */
.tx-messe .table-row {
    width: 100%;
    margin: 0.25em 0;
}

.tx-messe .table-row .accordion-header {
    padding: 0;
}

.tx-messe .table-row.table-header {
    background-color: #cccccc;
    box-sizing: border-box;
}

.tx-messe .table-row.accordion-table-header,
.tx-messe .table-row .accordion-header {
    padding-right: 2.5em;
}

.tx-messe .table-row .table-cell {
    display: block;
    padding: 1em;
    float: left;
    box-sizing: border-box;
}

.tx-messe .table-row .table-cell,
.tx-messe .table-row[data-table-columns='1'] .table-cell {
    width: 100%;
}

.tx-messe .table-row[data-table-columns='2'] .table-cell {
    width: calc(100% / 2);
}

.tx-messe .table-row[data-table-columns='3'] .table-cell {
    width: calc(100% / 3);
}

.tx-messe .table-row[data-table-columns='3'] .table-cell[data-table-columnspan='2'] {
    width: calc(100% / 3 * 2);
}

.tx-messe .table-row[data-table-columns='4'] .table-cell {
    width: calc(100% / 4);
}
.tx-messe .table-row[data-table-columns='4'] .table-cell[data-table-columnspan='2'] {
    width: calc(100% / 4 * 2);
}
.tx-messe .table-row[data-table-columns='4'] .table-cell[data-table-columnspan='3'] {
    width: calc(100% / 4 * 3);
}

.tx-messe .table-row[data-table-columns='5'] .table-cell {
    width: calc(100% / 5);
}
.tx-messe .table-row[data-table-columns='5'] .table-cell[data-table-columnspan='2'] {
    width: calc(100% / 5 * 2);
}
.tx-messe .table-row[data-table-columns='5'] .table-cell[data-table-columnspan='3'] {
    width: calc(100% / 5 * 3);
}
.tx-messe .table-row[data-table-columns='5'] .table-cell[data-table-columnspan='4'] {
    width: calc(100% / 5 * 4);
}

.tx-messe .table-row[data-table-columns='6'] .table-cell {
    width: calc(100% / 6);
}
.tx-messe .table-row[data-table-columns='6'] .table-cell[data-table-columnspan='2'] {
    width: calc(100% / 6 * 2);
}
.tx-messe .table-row[data-table-columns='6'] .table-cell[data-table-columnspan='3'] {
    width: calc(100% / 6 * 3);
}
.tx-messe .table-row[data-table-columns='6'] .table-cell[data-table-columnspan='4'] {
    width: calc(100% / 6 * 4);
}
.tx-messe .table-row[data-table-columns='6'] .table-cell[data-table-columnspan='5'] {
    width: calc(100% / 6 * 5);
}

.tx-messe .table-row[data-table-columns='7'] .table-cell {
    width: calc(100% / 7);
}
.tx-messe .table-row[data-table-columns='7'] .table-cell[data-table-columnspan='2'] {
    width: calc(100% / 76 * 2);
}
.tx-messe .table-row[data-table-columns='7'] .table-cell[data-table-columnspan='3'] {
    width: calc(100% / 7 * 3);
}
.tx-messe .table-row[data-table-columns='7'] .table-cell[data-table-columnspan='4'] {
    width: calc(100% / 7 * 4);
}
.tx-messe .table-row[data-table-columns='7'] .table-cell[data-table-columnspan='5'] {
    width: calc(100% / 7 * 5);
}
.tx-messe .table-row[data-table-columns='7'] .table-cell[data-table-columnspan='6'] {
    width: calc(100% / 7 * 5);
}

@media only screen and (max-width: 50em) {
    .tx-messe .table-row.accordion-table-header {
        display: none;
    }

    .tx-messe .table-row[data-table-columns] .table-cell,
    .tx-messe .table-row[data-table-columns] .table-cell[data-table-columnspan] {
        width: 100%;
        padding-bottom: 0;
    }

    .tx-messe .table-row[data-table-columns] .table-cell:first-child {
        font-weight: bold;
    }
}

/* Tablesorter */
.tx-messe div.tablesorter {
    margin-top: 1em;
}

.tx-messe .tablesorter .dropdown {
    float: right;
    margin-right: 1em;
    margin-bottom: 1em;
}

.tx-messe .tablesorter .dropdown:first-child {
    margin-right: 0;
}

.tx-messe table.tablesorter {
    border-spacing: 0;
    width: 100%;
}

.tx-messe table.tablesorter th {
    padding: 0.5em;
    text-align: left;
    color: #ffffff;
    background-color: #9a9a9a;
    background-image: url(/static-messe/Images/pfeil-hoch-runter-weiss.gif);
    background-repeat: no-repeat;
    background-position: right 0.5em center;
    cursor: pointer;
}

.tx-messe table.tablesorter th:first-of-type {
    background-image: none;
}

.tx-messe table.tablesorter th.tablesorter-headerAsc {
    background-image: url(/static-messe/Images/pfeil-hoch-weiss.gif);
}

.tx-messe table.tablesorter th.tablesorter-headerDesc {
    background-image: url(/static-messe/Images/pfeil-runter-weiss.gif);
}

.tx-messe table.tablesorter tr.row-even {
    background-color: #eaeaea;
}

.tx-messe table.tablesorter tr td {
    padding: 0.5em;
}


@media print {
    .tx-messe .printarea {
        margin: 2em 0;
    }

    .tx-messe h1,
    .tx-messe h2,
    .tx-messe h3,
    .tx-messe h4,
    .tx-messe h5 {
        margin-top: 3.5rem;
    }

    .tx-messe .keyvaluerow {
        float: left;
        clear: both;
        margin-bottom: 0.25em;
    }

    .tx-messe .keyvaluerow .key {
        width: 12em;
    }

    .tx-messe .keyvaluerow .key + .value {
        width: calc(100% - 12em);
        margin-bottom: 0.5em;
    }

    .tx-messe .keyvaluerow.ticket .key,
    .tx-messe .keyvaluerow.ticket .key + .value {
        float: none;
        width: 100%;
    }

    .tx-messe .only-print {
        display: block;
    }

    .tx-messe .no-print {
        display: none !important;
    }

    .tx-messe .barcode {
        max-width: 35%;
        float: right;
        margin-bottom: 1em;
    }

    .tx-messe .barcode img {
        width: 100%;
        height: auto;
    }

    .tx-messe .table-row.table-header {
        margin-bottom: 0.75em;
    }

    .tx-messe .table-row[data-table-columns] .table-cell {
        padding: 0;
    }

    .umbruch_vor {
        page-break-before: always;
    }
    .umbruch_nach {
        page-break-after: always;
    }
    .kein_umbruch_vor {
        page-break-before: avoid;
    }
    .kein_umbruch_nach {
        page-break-after: avoid;
    }
}

/* PayPal */
@media screen and (max-width: 400px) {
    #paypal-button-container {
        width: 100%;
    }
}

/* PayPal */
@media screen and (min-width: 400px) {
    #paypal-button-container {
        width: 250px;
    }
}